---
title: "Get pending group invites"
url: "https://docs.signnow.com/docs/doc-group-field-invite/operations/get-pending-document-group-invites"
type: "endpoint"
section: "doc-group-field-invite"
slug: "doc-group-field-invite/operations/get-pending-document-group-invites"
method: "GET"
path: "/documentgroup/{document_group_id}/groupinvite/{invite_id}/pendinginvites"
operation_id: "get-pending-document-group-invites"
authorization: "bearer"
---

# Get pending group invites

`GET /documentgroup/{document_group_id}/groupinvite/{invite_id}/pendinginvites`

This endpoint allows API users to retrieve all pending invites of a document group invite.
If the caller is the document owner, the response includes both pending invites for that user and all fulfilled actions for the entire group invite.


Possible invite actions are:
- `sign`: The recipient can sign or fill out the document.
- `approve`: The recipient can review the document to approve or decline it.
- `view`: The recipient can only review the document without making changes.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |
| `invite_id` | string | Yes | ID of the document group invite. |

## Responses

### 200

Pending invites for the caller in the document group invite. If the caller is the document group owner, fulfilled actions of the whole invite are included.

**Example** (`Successful response`)

```json
{
  "invites": [
    {
      "link": "https://signnow.com/signing-invite/field-invite?document_id=f5baae8fc259f034438c1c634fbad0ed0532bb84&access_token=965db8269a642fe1befafd3e9711a16eb5b46c53",
      "action": "sign",
      "status": "pending",
      "step_id": "84f1443f50ba4a894ac616a5f064c686f32d077b",
      "thumbnail": {
        "large": "https://api.signnow.com/document/f5baae8fc259f034438c1c634fbad0ed0532bb84/thumbnail?size=large&access_token=965db8269a642fe1befafd3e9711a16eb5b46c53",
        "small": "https://api.signnow.com/document/f5baae8fc259f034438c1c634fbad0ed0532bb84/thumbnail?size=small&access_token=965db8269a642fe1befafd3e9711a16eb5b46c53",
        "medium": "https://api.signnow.com/document/f5baae8fc259f034438c1c634fbad0ed0532bb84/thumbnail?size=medium&access_token=965db8269a642fe1befafd3e9711a16eb5b46c53"
      },
      "document_id": "f5baae8fc259f034438c1c634fbad0ed0532bb84",
      "access_token": "965db8269a642fe1befafd3e9711a16eb5b46c53",
      "redirect_uri": "https%3A%2F%2Fexample.com",
      "document_name": "Contract",
      "inviter_email": "user@example.com",
      "payment_request": null
    }
  ],
  "sign_as_merged": true,
  "document_group_name": "Contracts",
  "owner_organization_id": "a89aea138fcdfe0b501f7904c25e3d22dc32d490"
}
```

### 400

* Wrong, expired, or missing token.
* The document group doesn't exist.
* The group invite doesn't exist.
* The group invite was canceled.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Invite canceled`)

```json
{
  "errors": [
    {
      "code": 66302,
      "message": "The group invite was canceled."
    }
  ]
}
```

**Example** (`Group invite not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group invite of 0d4ad4b1d6a64bf6a8e8b7f0e2f5b5ac0c1f9e3d"
    }
  ]
}
```

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/documentgroup/{document_group_id}/groupinvite/{invite_id}/pendinginvites" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-field-invite/operations/get-pending-document-group-invites*
